# Notary service in chains

[Notary service](https://github.com/neo-project/neo/issues/1573#issuecomment-704874472)
is a service that provides on-chain network assistance to form multisignature 
transactions. Inner Ring (Alphabet) nodes use multisignature transactions to
create containers, approve balance changes, update network map, tick epochs, 
etc. With notary service, it takes up to seven times fewer transactions 
to do these operations. Notary service calculates the exact amount of GAS 
to execute transaction, therefore operations are cheaper (withdraw fee **with**
notary is less than 0.5 GAS; withdraw fee **without** notary is up to 7.0 GAS).

Currently, frostfs-dev-env contains single chain (see morph service) and it
enables notary service from the genesis block.

To enable notary service, use neo-go configuration below.

```yaml
ProtocolConfiguration:
  P2PSigExtensions: true
ApplicationConfiguration:
  P2PNotary:
    Enabled: true
```
